Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

In a machine with freshly installed MikTex 2.9 the below error is generated every time a file is compiled which uses auto-pst-pdf package, but then PDF is produced fine. Does this require any corrective actions?

Process started: pdflatex.exe --shell-escape -synctex=1 -interaction=nonstopmode "forestmwe".tex

Process started: pdflatex.exe --shell-escape -synctex=1 -interaction=nonstopmode "forestmwe".tex

This is dvips(k) 5.993 Copyright 2013 Radical Eye Software (www.radicaleye.com) ' TeX output 2014.06.23:1729' -> forestmwe-autopp.ps <d:/Program Files (x86)/MiKTeX 2.9/dvips/base/tex.pro> <d:/Program Files (x86)/MiKTeX 2.9/dvips/misc/alt-rule.pro> <d:/Program Files (x86)/MiKTeX 2.9/dvips/pstricks/pstricks.pro> <d:/Program Files (x86)/MiKTeX 2.9/dvips/pstricks/pst-algparser.pro> <d:/Program Files (x86)/MiKTeX 2.9/dvips/pst-tools/pst-tools.pro> <d:/Program Files (x86)/MiKTeX 2.9/dvips/pstricks/pst-dots.pro> <C:/Users/user0/AppData/Roaming/MiKTeX/2.9/dvips/pst-barcode/pst-barcode.pro> <d:/Program Files (x86)/MiKTeX 2.9/fonts/enc/dvips/lm/lm-ec.enc> <d:/Program Files (x86)/MiKTeX 2.9/dvips/base/texps.pro> <d:/Program Files (x86)/MiKTeX 2.9/dvips/base/special.pro> <d:/Program Files (x86)/MiKTeX 2.9/dvips/base/color.pro>.

<d:/Program Files (x86)/MiKTeX 2.9/fonts/type1/public/lm/lmr5.pfb> <d:/Program Files (x86)/MiKTeX 2.9/fonts/type1/public/lm/lmr10.pfb> <d:/Program Files (x86)/MiKTeX 2.9/fonts/type1/public/lm/lmr8.pfb>[1] [1]

MiKTeX GPL Ghostscript 9.05: Unrecoverable error, exit code 1

Process exited normally

This answer http://tex.stackexchange.com/a/119295/37570 initially seemed similar but I could not find lpr in the config.ps file, so it did not apply.

share|improve this question
    
Are you using tikz/pgf in the document? Which version? –  Ulrike Fischer Jun 24 at 7:44
    
@UlrikeFischer Using Forest, which loads PFG. Latest everything as of today. –  ajeh Jun 24 at 12:51
    
The current pgf doesn't work flawlessly together with auto-pst-pdf. There is an incompability with preview. tex.stackexchange.com/questions/166623/… –  Ulrike Fischer Jun 24 at 13:31
    
Ok, that's clear. But is there any harm from the error? –  ajeh Jun 24 at 13:33

1 Answer 1

up vote 2 down vote accepted

Use always

\usepackage[crop=off]{auto-pst-pdf}% With an onstalled Perl always crop=on!
\ifpdf
  \usepackage{forest}
\else
  \usepackage{pst-barcode}
\fi
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.